--called at the start of a game, makes the objects in question
function initHost()

	--stage.createEmitter("bg_greenplanet", 1600, 1600)
	--emitter.upload()

	--stage.GFP("HUH")
	
	--make a couple of comets
	for i = 1, 12 do
		cx = math.random(-stage.width, stage.width)
		cy = math.random(-stage.height, stage.height)
	
		comet = ""
		roll = 2--math.random(1,3)
		if roll == 1 then
			comet = "asteroid2.png"
		elseif roll == 2 then
			comet = "asteroid5.png"
		elseif roll == 3 then
			comet = "asteroid6.png"
		end
	
		--stage.GFP("WAT")
		--stage.xyz(comet, cx, cy, 2, 0, 0)
	
		--gfxname, x, y, layer, animated, gfxtype (0:ship 1:effect)
		stage.createSprite(comet, cx, cy, 2, 0, 0)
		sprite.rot = math.random(0, 359)
		sprite.spin = (math.random() - .5)
		sprite.movrot = math.random(0, 359)
		sprite.speed = math.random(20, 60)
		
		sprite.alpha = 1
		sprite.scale = ((math.random() / 2) +.5) * 2
		sprite.shade = 210
		
		sprite.dist = 2 + (i/6.0)
		sprite.x = sprite.x * sprite.dist
		sprite.y = sprite.y * sprite.dist
		
		--orbit the center of the map
		sprite.mass = 270
		sprite.maxVelocity = 60
		sprite.orbitx = cx
		sprite.orbity = cy

		--ooo sparklies
		stage.createEmitter("comettrail")
		emitter.dist = sprite.dist
		emitter.attach(sprite)
		emitter.upload()
	end

	
	return 0
end